Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.matrixJep
Class MatrixVariableFactory

    java.lang.Object
      org.nfunk.jep.VariableFactory
          org.lsmp.djep.xjep.XVariableFactory
              org.lsmp.djep.djep.DVariableFactory
                  org.lsmp.djep.matrixJep.MatrixVariableFactory

    public class MatrixVariableFactory

extends DVariableFactory

Allows creation of matrix aware variables.

Author:
  Rich Morris Created on 19-Dec-2003

Constructor Summary
`MatrixVariableFactory()`

Method Summary
`PartialDerivative` | `createDerivative(DVariable var, java.lang.String[] dnames, Node eqn)` create a derivative
`Variable` | `createVariable(java.lang.String name)` Create a variable with a given value.
`Variable` | `createVariable(java.lang.String name, java.lang.Object value)` Create a variable with a given value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatrixVariableFactory

    public MatrixVariableFactory()

Method Detail

### createDerivative

    public PartialDerivative createDerivative(DVariable var,
                                              java.lang.String[] dnames,
                                              Node eqn)

  create a derivative

  Overrides:
    `createDerivative` in class `DVariableFactory`

### createVariable

    public Variable createVariable(java.lang.String name,
                                   java.lang.Object value)

  Create a variable with a given value.

  Overrides:
    `createVariable` in class `DVariableFactory`

### createVariable

    public Variable createVariable(java.lang.String name)

  Create a variable with a given value.

  Overrides:
    `createVariable` in class `DVariableFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems